>From 18511f2e4cd7d72b8d943efd9e6501d3903a64c4 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Fri, 16 May 2014 01:37:07 +0200
Subject: [PATCH] Further 9.4 release notes improvements.

---
 doc/src/sgml/release-9.4.sgml | 52 +++++++++++++++++++++++++++----------------
 1 file changed, 33 insertions(+), 19 deletions(-)

diff --git a/doc/src/sgml/release-9.4.sgml b/doc/src/sgml/release-9.4.sgml
index 3070d0b..e143178 100644
--- a/doc/src/sgml/release-9.4.sgml
+++ b/doc/src/sgml/release-9.4.sgml
@@ -30,7 +30,7 @@
      <listitem>
       <para>
        <link linkend="logicaldecoding">Logical decoding</link> allows database
-       changes to be streamed out in customizable format
+       changes to be streamed out in a customizable format
       </para>
      </listitem>
 
@@ -298,6 +298,12 @@
      </para>
     </listitem>
 
+    <listitem>
+     <para>
+      <command>DISCARD ALL</> now also discards the states of sequences.
+     </para>
+    </listitem>
+
    </itemizedlist>
 
   </sect2>
@@ -1005,7 +1011,6 @@
        </para>
 
        <para>
-        <!-- FIXME: drop? -->
         This was added so views that select from a table with zero columns
         can be dumped correctly.
        </para>
@@ -1028,7 +1033,6 @@
        </para>
 
        <para>
-        <!-- FIXME: compatibility break entry? -->
         <command>DISCARD ALL</> will now also discard such information.
        </para>
       </listitem>
@@ -1199,6 +1203,11 @@
         AGGREGATE</></link> to supply the size of the aggregate's
         transition state data (Hadi Moshayedi)
        </para>
+
+       <para>
+        This allows the plannet to better estimate how much memory will be
+        used when aggregating.
+       </para>
       </listitem>
 
      </itemizedlist>
@@ -1218,7 +1227,7 @@
 
       <listitem>
        <para>
-        Allow the changing of foreign key constraint  via <link
+        Allow the changing foreign key constraints's deferrability via <link
         linkend="SQL-ALTERTABLE"><command>ALTER TABLE</></link>
         ... <literal>ALTER CONSTRAINT</> (Simon Riggs)
        </para>
@@ -1254,7 +1263,7 @@
 
       <listitem>
        <para>
-        Fully-implement the <link
+        Fully implement the <link
         linkend="datatype-line"><type>line</></link> data type (Peter
         Eisentraut)
        </para>
@@ -1472,7 +1481,7 @@
        <para>
         Add function <link
         linkend="functions-admin-dblocation"><function>pg_filenode_relation()</></link>
-        to allow for more efficient filenode to relation lookups (Andres
+        to allow for more efficient lookups from filenode to relation (Andres
         Freund)
        </para>
       </listitem>
@@ -1543,10 +1552,13 @@
       </listitem>
 
       <listitem>
-       <!-- FIXME -->
        <para>
         Allow polymorphic aggregates to have non-polymorphic state data
-        types ? (Tom Lane)
+        types (Tom Lane)
+       </para>
+       <para>
+        This allows to declare aggregates like the builtin
+        <function>array_agg()</> from SQL.
        </para>
       </listitem>
 
@@ -1772,8 +1784,8 @@
 
       <listitem>
        <para>
-        Allow field wrapping to <application>psql</>'s "extended" mode
-        (Sergey Muraviov)
+        Add ability to wrap long lines in <application>psql</>'s "expanded"
+        mode by using <command>\pset format wrapped</> (Sergey Muraviov)
        </para>
       </listitem>
 
@@ -2218,7 +2230,8 @@
       <listitem>
        <para>
         Add <link linkend="pgprewarm"><application>pg_prewarm</></link>
-        to preload relation data into the shared buffer cache (Robert Haas)
+        extension to preload relation data into the shared buffer cache
+        (Robert Haas)
        </para>
 
        <para>
@@ -2243,7 +2256,7 @@
 
       <listitem>
        <para>
-        Add logging of trigger execution to <link
+        Add option to include trigger execution time to <link
         linkend="auto-explain"><application>auto_explain</></link>
         (Horiguchi Kyotaro)
        </para>
@@ -2279,9 +2292,10 @@
 
       <listitem>
        <para>
-        Improve indexing of <link
-        linkend="pgtrgm"><application>pg_trgm</></link> values to
-        discourage indexing whitespace (Alexander Korotkov)
+        Improve <link linkend="pgtrgm"><application>pg_trgm</>'s</link>
+        generation of trigrams for indexed regular expression searches by
+        discouraging the use of trigrams containing whitespace (Alexander
+        Korotkov)
        </para>
       </listitem>
 
@@ -2328,7 +2342,7 @@
 
       <listitem>
        <para>
-        Allow pgbench to process script files of any line length (Sawada
+        Allow <application>pgbench</> to process script files of any line length (Sawada
         Masahiko)
        </para>
 
@@ -2339,20 +2353,20 @@
 
       <listitem>
        <para>
-        Add <application>pg_bench</> option (<option>--rate</>) to control
+        Add <application>pgbench</> option (<option>--rate</>) to control
         the transaction rate (Fabien Coelho)
        </para>
       </listitem>
 
       <listitem>
        <para>
-        Add <option>--progress</> output option to pgbench (Fabien Coelho)
+        Add <option>--progress</> output option to <application>pgbench</> (Fabien Coelho)
        </para>
       </listitem>
 
       <listitem>
        <para>
-        Add long options to pgbench (Fabien Coelho)
+        Add long options to <application>pgbench</> (Fabien Coelho)
        </para>
       </listitem>
 
-- 
2.0.0.rc2.4.g1dc51c6.dirty

